### `tf.matrix_determinant(input, name=None)` {#matrix_determinant}

Calculates the determinant of a square matrix.

##### Args:


*  <b>`input`</b>: A `Tensor`. Must be one of the following types: `float32`, `float64`.
    A tensor of shape `[M, M]`.
*  <b>`name`</b>: A name for the operation (optional).

##### Returns:

  A `Tensor`. Has the same type as `input`.
  A scalar, equal to the determinant of the input.

